Prerequisites

Your platform or board must have:

Before you configure and build your environment, you must install the following tools on your platform or board:

  • A Linux distribution.
  • Git.
  • SCons. Arm has tested SCons 2.4.1, other versions might work.
  • CMake. Arm has tested CMake 3.5.1, other versions might work.

These instructions assume that you are using Ubuntu 16.04, but should work on most Linux distributions. Arm tests the Arm NN SDK on Ubuntu and Debian. 

Previous Next